Bug 174830 - x11/deforaos-libdesktop update to 0.0.9
Summary: x11/deforaos-libdesktop update to 0.0.9
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Ruslan Makhmatkhanov
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-12-30 13:30 UTC by olivier
Modified: 2013-01-03 15:50 UTC (History)
0 users

See Also:


Attachments
deforaos-libdesktop.0.0.9.diff (1.03 KB, patch)
2012-12-30 13:30 UTC, olivier
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description olivier 2012-12-30 13:30:01 UTC
	This is a patch for upgrading x11/deforaos-libdesktop to 0.0.9
Comment 1 olivier 2012-12-30 15:16:31 UTC
Can you replace my MAKE_ARGS+= line with this new one:

MAKE_ARGS+=    PREFIX=${PREFIX} CFLAGS="${CFLAGS}" LDFLAGS="${LDFLAGS}"

This will permit to support CFLAGS and LDFLAGS.

Thanks,

On Sun, Dec 30, 2012 at 2:30 PM,  <FreeBSD-gnats-submit@freebsd.org> wrote:
> Thank you very much for your problem report.
> It has the internal identification `ports/174830'.
> The individual assigned to look at your
> report is: freebsd-ports-bugs.
>
> You can access the state of your problem report at any time
> via this link:
>
> http://www.freebsd.org/cgi/query-pr.cgi?pr=174830
>
>>Category:       ports
>>Responsible:    freebsd-ports-bugs
>>Synopsis:       x11/deforaos-libdesktop update to 0.0.9
>>Arrival-Date:   Sun Dec 30 13:30:01 UTC 2012
Comment 2 olivier 2012-12-31 08:59:30 UTC
On Sun, Dec 30, 2012 at 4:16 PM, Olivier Cochard-Labb=E9
<olivier@cochard.me> wrote:
> Can you replace my MAKE_ARGS+=3D line with this new one:
>
> MAKE_ARGS+=3D    PREFIX=3D${PREFIX} CFLAGS=3D"${CFLAGS}" LDFLAGS=3D"${LDF=
LAGS}"
>
> This will permit to support CFLAGS and LDFLAGS.
>


Oops, forgot my last mail: Kept my original patch without adding
CFLAGS and LDFLAGS to MAKE_ARGS, it seems I meet some problem if I add
CFLAGS and LDFLAGS.

sorry for the noise.

Olivier
Comment 3 Ruslan Makhmatkhanov freebsd_committer 2013-01-03 14:52:42 UTC
Responsible Changed
From-To: freebsd-ports-bugs->rm

I will take it.
Comment 4 dfilter service freebsd_committer 2013-01-03 15:45:09 UTC
Author: rm
Date: Thu Jan  3 15:44:56 2013
New Revision: 309891
URL: http://svnweb.freebsd.org/changeset/ports/309891

Log:
  - update to 0.0.9
  - make it PREFIX-safe
  
  PR:		174830
  Submitted by:	olivier@cochard.me (maintainer)

Modified:
  head/x11/deforaos-libdesktop/Makefile
  head/x11/deforaos-libdesktop/distinfo

Modified: head/x11/deforaos-libdesktop/Makefile
==============================================================================
--- head/x11/deforaos-libdesktop/Makefile	Thu Jan  3 15:43:31 2013	(r309890)
+++ head/x11/deforaos-libdesktop/Makefile	Thu Jan  3 15:44:56 2013	(r309891)
@@ -2,9 +2,9 @@
 # $FreeBSD$
 
 PORTNAME=	libdesktop
-PORTVERSION=	0.0.8
+PORTVERSION=	0.0.9
 CATEGORIES=	x11
-MASTER_SITES=	http://www.defora.org/os/download/download/3699/
+MASTER_SITES=	http://www.defora.org/os/download/download/4011/
 DISTNAME=	libDesktop-${PORTVERSION}
 PKGNAMEPREFIX=	deforaos-
 
@@ -18,6 +18,7 @@ LIB_DEPENDS=	System:${PORTSDIR}/devel/de
 USE_GNOME=	gtk20
 USE_PKGCONFIG=	build
 USE_LDCONFIG=	yes
+MAKE_ARGS+=	PREFIX=${PREFIX}
 
 post-patch:
 	${REINPLACE_CMD} -e 's|/lib/|/libdata/|g' \

Modified: head/x11/deforaos-libdesktop/distinfo
==============================================================================
--- head/x11/deforaos-libdesktop/distinfo	Thu Jan  3 15:43:31 2013	(r309890)
+++ head/x11/deforaos-libdesktop/distinfo	Thu Jan  3 15:44:56 2013	(r309891)
@@ -1,2 +1,2 @@
-SHA256 (libDesktop-0.0.8.tar.gz) = d86123c1113d339d02446f20e704192231d382483505334f7f9c5500bcdb72fa
-SIZE (libDesktop-0.0.8.tar.gz) = 26524
+SHA256 (libDesktop-0.0.9.tar.gz) = 579add7fafaf055ec52e7a1f9e56433a330b0a8faae8a4962eebe45cbb2812d7
+SIZE (libDesktop-0.0.9.tar.gz) = 26474
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 5 Ruslan Makhmatkhanov freebsd_committer 2013-01-03 15:50:20 UTC
State Changed
From-To: open->closed

Committed, thank you!